NSCLPCSIO(4)

NAME
nsclpcsio - National Semiconductor PC87366 LPC Super I/O with GPIO

SYNOPSIS
nsclpcsio* at isa?
gpio* at nsclpcsio?

DESCRIPTION
The nsclpcsio driver provides support for the National Semiconductor PC87366 LPC Super I/O. The Super I/O module incorporates several logical devices, the following ones are supported: GPIO, VLM and TMS.

The GPIO logical device provides 29 I/O pins which can be accessed through the gpio(4) framework. The gpioctl(8) program allows easy manipulation of the pins from userland.

VLM and TMS logical devices provides hardware monitoring capabilities to be used with the sysctl(8) interface. The following 17 monitoring sensors are available:
Sensor | Units | Typical Use
TSENS1 | uK | Remote diode
TSENS2 | uK | Remote diode
TNSC | uK | Local diode
VSENS0 | uV DC | External source
VSENS1 | uV DC | External source
VSENS2 | uV DC | External source
VSENS3 | uV DC | External source
VSENS4 | uV DC | External source
VSENS5 | uV DC | External source
VSENS6 | uV DC | External source
VSB | uV DC | VSB
VDD | uV DC | VDD
VBAT | uV DC | VBAT
AVDD | uV DC | AVDD
TS1 | uV DC | Thermistor
TS2 | uV DC | Thermistor
TS3 | uV DC | Thermistor

SEE ALSO
gpio(4), isa(4), gpioctl(8), sensorsd(8), sysctl(8)

HISTORY
The nsclpcsio driver first appeared in NetBSD 2.0, OpenBSD support was added in OpenBSD 3.5.

AUTHORS
-nosplit The nsclpcsio driver was written by Matthias Drochner <drochner@netbsd.org> for NetBSD and then ported to OpenBSD 3.5 by Markus Friedl <markus@openbsd.org>. GPIO support was added in OpenBSD 3.6 by Alexander Yurchenko <grange@openbsd.org>.